package com.chinaweal.aiccs.aiccs.revoke.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.business.entity.dto.TaskListUnionDto;
import com.chinaweal.aiccs.aiccs.revoke.entity.Tsrevtasklist;
import com.chinaweal.aiccs.aiccs.revoke.entity.dto.RevBusDto;
import com.chinaweal.youfool.framework.springboot.mybatis.plus.BaseService;

import java.util.List;
import java.util.Map;

public interface RevBusQueryService extends BaseService<RevBusDto> {
    //默认查询
    IPage<RevBusDto> searchRevBusPage(IPage<RevBusDto> page, String s);

    //条件查询
    IPage<RevBusDto> searchByCondition(IPage<RevBusDto> page, Map<String, Object> customParamMap);

    List<RevBusDto> searchByConditionAll(Map<String, Object> customParamMap);

    int countOther(String id);
}
